Skip to main content
GET
Read Member

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid>
required

Response

Response: Member retrieved.

Object representing member of a customer.

id
string<uuid4>
required

Unique identifier for the member.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

customer_id
string<uuid4>
required

Unique identifier for the customer this member belongs to.

email
string
required

Email: Email address of the member.

Example:

"member@example.com"

name
string | null
required

Name assigned to the member.

Example:

"Jane Doe"

external_id
string | null
required

Identifier of the member in your system. This must be unique within the customer..

Example:

"usr_1337"

role
enum<string>
required

Role: Role of the member within the customer.

Available options:
owner,
billing_manager,
member
Example:

"owner"